package tech.nevets.igformatter;

import spark.Request;
import spark.Response;
import spark.Route;

import javax.imageio.ImageIO;
import javax.servlet.MultipartConfigElement;
import java.awt.image.BufferedImage;
import java.io.ByteArrayOutputStream;
import java.io.InputStream;

public class GenerateRoute implements Route {
    @Override
    public Object handle(Request request, Response response) throws Exception {
        request.attribute("org.eclipse.jetty.multipartConfig", new MultipartConfigElement("./temp"));
        try (InputStream is = request.raw().getPart("image").getInputStream()) {
            response.type("image/png");
            BufferedImage img = ImageIO.read(is);

            ByteArrayOutputStream baos = new ByteArrayOutputStream();
            ImageIO.write(Images.placeImageOnTop(img), "png", baos);
            return baos.toByteArray();
        }
    }
}
